# class RSS::RDF::Seq

### Constants

Li

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/1.0.rb, line 138
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        @li = args[0] if args[0]
      end
    end

required_uri() click to toggle source

    # File lib/rss/1.0.rb, line 128
    def required_uri
      URI
    end

### Public Instance Methods

full_name() click to toggle source

    # File lib/rss/1.0.rb, line 147
    def full_name
      tag_name_with_prefix(PREFIX)
    end

setup_maker(target) click to toggle source

    # File lib/rss/1.0.rb, line 151
    def setup_maker(target)
      lis.each do |li|
        target << li.resource
      end
    end